---
title: Resolved value
slug: Web/CSS/resolved_value
tags:
  - CSS
  - Guide
  - Reference
---
<div>{{cssref}}</div>

<p>The <strong>resolved value</strong> of a <a href="/en-US/docs/Web/CSS">CSS</a> property is the value returned by {{domxref("Window.getComputedStyle", "getComputedStyle()")}}.</p>

<p>For most properties, it is the <a href="/en-US/docs/Web/CSS/computed_value">computed value</a>, but for a few legacy properties (including {{cssxref("width")}} and {{cssxref("height")}}), it is instead the <a href="/en-US/docs/Web/CSS/used_value">used value</a>. See the specification link below for more per-property details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("CSSOM", "#resolved-values", "resolved value")}}</td>
   <td>{{Spec2("CSSOM")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.getComputedStyle")}}</li>
 <li>{{CSS_key_concepts}}</li>
</ul>
